[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / SubmitContextFormAdapter

# Class: SubmitContextFormAdapter

Defined in: [packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:16](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts#L16)

## Extends

- `ProxyRemoteMethod`\<`unknown`, `Record`\<`string`, `unknown`\>, `OpenApiRemoteMethodParameter`\<`Record`\<`string`, `unknown`\>\>\>

## Constructors

### new SubmitContextFormAdapter()

> **new SubmitContextFormAdapter**(`remoteMethod`, `context`): [`SubmitContextFormAdapter`](SubmitContextFormAdapter.md)

Defined in: [packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:19](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts#L19)

#### Parameters

##### remoteMethod

`OpenApiRemoteMethod`\<`unknown`, `OpenApiRemoteMethodParameter`\<`Record`\<`string`, `unknown`\>, `any`\>, `Record`\<`string`, `unknown`\>\>

##### context

`Record`\<`string`, `unknown`\>

#### Returns

[`SubmitContextFormAdapter`](SubmitContextFormAdapter.md)

#### Overrides

`ProxyRemoteMethod<unknown, Record<string, unknown>, OpenApiRemoteMethodParameter<Record<string, unknown>>>.constructor`

## Properties

### \_\_id

> **\_\_id**: `string`

Defined in: [packages/angular/definition/src/lib/definition.ts:61](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L61)

**`Internal`**

unique internal id

#### Inherited from

`ProxyRemoteMethod.__id`

***

### \_initialised

> `protected` **\_initialised**: `boolean` = `false`

Defined in: [packages/angular/definition/src/lib/definition.ts:62](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L62)

#### Inherited from

`ProxyRemoteMethod._initialised`

***

### destroyed$

> `readonly` **destroyed$**: `undefined` \| `Subject`\<`void`\>

Defined in: [packages/angular/definition/src/lib/definition.ts:48](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L48)

Emits if the data source is destroyed

#### Inherited from

`ProxyRemoteMethod.destroyed$`

***

### executed$

> **executed$**: `Subject`\<`unknown`\>

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:42](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L42)

#### Inherited from

`ProxyRemoteMethod.executed$`

***

### executionsInProgress$

> **executionsInProgress$**: `CounterSubject`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:44](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L44)

#### Inherited from

`ProxyRemoteMethod.executionsInProgress$`

***

### initialised$

> `readonly` **initialised$**: `undefined` \| `Subject`\<`void`\>

Defined in: [packages/angular/definition/src/lib/definition.ts:52](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L52)

Emits if the data source is initialised

#### Inherited from

`ProxyRemoteMethod.initialised$`

***

### injector

> `readonly` **injector**: `Injector`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:46](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L46)

#### Inherited from

`ProxyRemoteMethod.injector`

***

### interceptors

> `readonly` **interceptors**: `undefined` \| `Set`\<`Subject`\<`any`\>\>

Defined in: [packages/angular/definition/src/lib/definition.ts:53](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L53)

#### Inherited from

`ProxyRemoteMethod.interceptors`

***

### metadata

> **metadata**: `BaseRemoteMethodMetadata`

Defined in: [packages/angular/definition/src/lib/definition.ts:44](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L44)

#### Inherited from

`ProxyRemoteMethod.metadata`

***

### destroyed$

> `readonly` `static` **destroyed$**: `Subject`\<`BaseDefinition`\<`BaseDefinitionMetadata`\>\>

Defined in: [packages/angular/definition/src/lib/definition.ts:41](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L41)

Emits when a new Definition instance is initialised

#### Inherited from

`ProxyRemoteMethod.destroyed$`

***

### initialised$

> `readonly` `static` **initialised$**: `Subject`\<`BaseDefinition`\<`BaseDefinitionMetadata`\>\>

Defined in: [packages/angular/definition/src/lib/definition.ts:35](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L35)

Emits when a new Definition instance is initialised

#### Inherited from

`ProxyRemoteMethod.initialised$`

***

### instances

> `readonly` `static` **instances**: `Map`\<`string`, `BaseDefinition`\<`BaseDefinitionMetadata`\>\>

Defined in: [packages/angular/definition/src/lib/definition.ts:27](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L27)

A map of active Definition instances

#### Inherited from

`ProxyRemoteMethod.instances`

## Accessors

### id

#### Get Signature

> **get** **id**(): `string`

Defined in: [packages/angular/definition/src/lib/definition.ts:87](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L87)

##### Returns

`string`

#### Inherited from

`ProxyRemoteMethod.id`

## Methods

### \_call()

> `protected` **\_call**(`parameters`?): `Promise`\<`any`\>

Defined in: [packages/angular/remote-method/src/lib/proxy.remote-method.ts:33](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/proxy.remote-method.ts#L33)

#### Parameters

##### parameters?

`Record`\<`string`, `unknown`\>

#### Returns

`Promise`\<`any`\>

#### Inherited from

`ProxyRemoteMethod._call`

***

### applyMetadata()

> **applyMetadata**(`partialMetadata`): `void`

Defined in: [packages/angular/definition/src/lib/definition.ts:111](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L111)

#### Parameters

##### partialMetadata

`Partial`\<`BaseRemoteMethodMetadata`\>

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.applyMetadata`

***

### call()

> **call**(`parameters`?): `Promise`\<`unknown`\>

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:76](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L76)

#### Parameters

##### parameters?

`Record`\<`string`, `unknown`\>

#### Returns

`Promise`\<`unknown`\>

#### Inherited from

`ProxyRemoteMethod.call`

***

### ~~destroy()~~

> **destroy**(): `void`

Defined in: [packages/angular/definition/src/lib/definition.ts:118](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L118)

#### Returns

`void`

#### Deprecated

use ngOnDestroy instead

#### Inherited from

`ProxyRemoteMethod.destroy`

***

### executed()

> **executed**(`result`): `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:86](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L86)

#### Parameters

##### result

`unknown`

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.executed`

***

### getMetadata()

> **getMetadata**(): `null` \| `BaseRemoteMethodMetadata`

Defined in: [packages/angular/definition/src/lib/definition.ts:107](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L107)

#### Returns

`null` \| `BaseRemoteMethodMetadata`

#### Inherited from

`ProxyRemoteMethod.getMetadata`

***

### init()

> **init**(): `void`

Defined in: [packages/angular/definition/src/lib/definition.ts:127](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L127)

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.init`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/definition/src/lib/definition.ts:122](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L122)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.ngOnDestroy`

***

### pauseRefresh()

> **pauseRefresh**(): `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:92](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L92)

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.pauseRefresh`

***

### refresh()

> **refresh**(): `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:100](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L100)

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.refresh`

***

### resumeRefresh()

> **resumeRefresh**(): `void`

Defined in: [packages/angular/remote-method/src/lib/base.remote-method.ts:96](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/remote-method/src/lib/base.remote-method.ts#L96)

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.resumeRefresh`

***

### transformParameters()

> **transformParameters**(`value`): `OpenApiRemoteMethodParameter`

Defined in: [packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts:28](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/submit-context-form-adapter.factory.ts#L28)

#### Parameters

##### value

`Record`\<`string`, `unknown`\>

#### Returns

`OpenApiRemoteMethodParameter`

#### Overrides

`ProxyRemoteMethod.transformParameters`

***

### add()

> `static` **add**(`definition`): `void`

Defined in: [packages/angular/definition/src/lib/definition.ts:94](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L94)

#### Parameters

##### definition

`BaseDefinition`

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.add`

***

### remove()

> `static` **remove**(`definition`): `void`

Defined in: [packages/angular/definition/src/lib/definition.ts:102](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/definition/src/lib/definition.ts#L102)

#### Parameters

##### definition

`BaseDefinition`

#### Returns

`void`

#### Inherited from

`ProxyRemoteMethod.remove`
